XLDAsCodeService
XLDAsCode service interface matching XLDAsCodeResource functionality. Provides REST endpoints for DevOps-as-Code operations. Similar to TaskBlockService, this interface can be accessed by: - In-process workers: ServiceHolder.getXLDAsCodeService() - External workers: via HTTP proxy from Proxies.getXLDAsCodeService()
| POST | /xld-as-code/v1//apply | Applies DevOps-as-Code YAML definition to create/update CIs. |
| POST | /xld-as-code/v1//apply-with-scm | Applies DevOps-as-Code YAML definition with SCM traceability data. |
| GET | /xld-as-code/v1//generate | Generates YAML definitions from existing XL Deploy repository structure. |
POST /xld-as-code/v1//apply
Applies DevOps-as-Code YAML definition to create/update CIs.
- Parameters
-
Request body text/plain String The YAML definition content
- Response body
- XLDAsCodeResult - XLDAsCodeResult indicating success/failure and details
- Content type: application/xml
POST /xld-as-code/v1//apply-with-scm
Applies DevOps-as-Code YAML definition with SCM traceability data.
- Parameters
-
Request body text/plain String The YAML definition content Header X-Xebialabs-Scm-Type String The type of SCM (e.g., "git") Header X-Xebialabs-Scm-Commit String The commit hash Header X-Xebialabs-Scm-Author String The commit author (e.g., "Name ") Header X-Xebialabs-Scm-Date String The commit date in ISO-8601 format Header X-Xebialabs-Scm-Message String The commit message Header X-Xebialabs-Scm-Remote String The remote repository URL Header X-Xebialabs-Scm-Filename String The YAML file name being applied
- Response body
- XLDAsCodeResult - XLDAsCodeResult indicating success/failure and details
- Content type: application/xml
GET /xld-as-code/v1//generate
Generates YAML definitions from existing XL Deploy repository structure.
- Parameters
-
Query path String Repository path to generate from (optional) Query globalPermissions boolean Include global permissions in generation Query roles boolean Include roles in generation Query users boolean Include users in generation Query secrets boolean Include secrets in generation Query defaults boolean Include default values in generation
- Response body
- XLDAsCodeResult - XLDAsCodeResult containing generated YAML content
- Content type: application/xml